io.undertow.security.impl

## Interface SingleSignOn

All Superinterfaces:
  AutoCloseable, Iterable<Session>

    public interface SingleSignOn
    extends Iterable<Session>, AutoCloseable

Author:
  Stuart Douglas, Paul Ferraro

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `add(Session session)` Adds the specified session to the set of sessions to which the user is authenticated
`void` `close()` Releases any resources acquired by this object.
`boolean` `contains(Session session)` Indicates whether or not the specified session is contained in the set of sessions to which the user is authenticated
`Account` `getAccount()` Returns the account associated with this SSO.
`String` `getId()` Returns the unique identifier for this SSO.
`String` `getMechanismName()` Returns the authentication mechanism used to create the account associated with this SSO.
`Session` `getSession(SessionManager manager)` Returns the session associated with the deployment of the specified session manager
`void` `remove(Session session)` Removes the specified session from the set of sessions to which the user is authenticated

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### getId

    String getId()

Returns the unique identifier for this SSO.

Returns:
  this SSO's unique identifier

#### getAccount

    Account getAccount()

Returns the account associated with this SSO.

Returns:
  an account

#### getMechanismName

    String getMechanismName()

Returns the authentication mechanism used to create the account associated with this SSO.

Returns:
  an authentication mechanism

#### contains

    boolean contains(Session session)

Indicates whether or not the specified session is contained in the set of sessions to which the user is authenticated

Parameters:
  `session` - a session manager
Returns:

#### add

    void add(Session session)

Adds the specified session to the set of sessions to which the user is authenticated

Parameters:
  `session` - a session manager

#### remove

    void remove(Session session)

Removes the specified session from the set of sessions to which the user is authenticated

Parameters:
  `session` - a session manager

#### getSession

    Session getSession(SessionManager manager)

Returns the session associated with the deployment of the specified session manager

Parameters:
  `manager` - a session manager
Returns:
  a session

#### close

    void close()

Releases any resources acquired by this object. Must be called after this object is no longer in use.

Specified by:
  `close` in interface `AutoCloseable`